#-------------------------------------------------
#
# Project created by QtCreator 2015-10-28T15:23:55
#
#-------------------------------------------------

QT       += core gui sql

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = prodejna
TEMPLATE = app

DEFINES += _GLIBCXX_USE_CXX11_ABI=0

win32 {
    INCLUDEPATH += d:/prac/odb/libodb-2.4.0
    INCLUDEPATH += d:/prac/odb/libodb-qt-2.4.0
    INCLUDEPATH += d:/prac/odb/libodb-sqlite-2.4.0
    INCLUDEPATH += d:/prac/odb/sqlite
}

SOURCES += main.cpp\
        mainwindow.cpp \
    logindialog.cpp

HEADERS  += mainwindow.h \
    logindialog.h

FORMS    += mainwindow.ui \
    logindialog.ui


unix {
    QMAKE_CXXFLAGS += -std=c++11
    QMAKE_CXXFLAGS += -Wno-unknown-pragmas
}

win32 {
    QMAKE_CXXFLAGS += -wd4995 -wd4068
}

win32:CONFIG(release, debug|release): LIBS += -L$$OUT_PWD/../core/release/ -lcore
else:win32:CONFIG(debug, debug|release): LIBS += -L$$OUT_PWD/../core/debug/ -lcore
else:unix: LIBS += -L$$OUT_PWD/../core/ -lcore

INCLUDEPATH += $$PWD/../core
DEPENDPATH += $$PWD/../core

RESOURCES += \
    appRc.qrc
